version: '3.6'
services:
    nginx:
        build: docker/nginx
        restart: always
        expose:
            - 80
        volumes:
            - './:/usr/share/nginx/html'
    php-fpm:
        build: docker/php
        restart: always
        depends_on:
            - database
            - mercure
        volumes:
            - './:/usr/share/nginx/html'
    mercure:
        image: dunglas/mercure:v0.11
        restart: always
        expose:
            - 8088
        environment:
            - MERCURE_PUBLISHER_JWT_KEY=${JWT_PASSPHRASE}
            - MERCURE_SUBSCRIBER_JWT_KEY=${JWT_PASSPHRASE}
            - ALLOW_ANONYMOUS=1
            - CORS_ALLOWED_ORIGINS=*
            - SERVER_NAME=:8088
    composer:
        build: docker/composer
        command: install
        depends_on:
            - php-fpm
        volumes:
            - './:/app'
    database:
        image: postgres:12
        expose:
            - 5432
        restart: always
        volumes:
            - pgdata:/var/lib/postgresql/data
        environment:
            - PGDATA=/var/lib/postgresql/data/pgdata
            - POSTGRES_DB=vetvite
            - POSTGRES_USER=vetvite
            - POSTGRES_PASSWORD=password

volumes:
    pgdata:
